%global packname  TSA
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.98
Release:          1
Summary:          Time Series Analysis
Group:            Sciences/Mathematics
License:          GPL (>= 2)
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildArch:        noarch
Requires:         R-core
Requires:         R-leaps R-locfit R-mgcv R-tseries 
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-leaps R-locfit R-mgcv R-tseries

%description
Contains R functions and datasets detailed in the book "Time Series
Analysis with Applications in R (second edition)" by Jonathan Cryer and
Kung-Sik Chan

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help


%changelog
* Sun Feb 19 2012 Paulo Andrade <pcpa@mandriva.com.br> 0.98-1
+ Revision: 777173
- Import R-TSA
- Import R-TSA

